﻿@model GarageMaster.Models.AdsSection.AdsModels.AdModel

@{
    ViewData["Title"] = "DetailsAd";
}

<h1>DetailsAd</h1>

<div>
    <h4>AdModel</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.Title):
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.Content)
        </dt>
        <dd class="col-sm-9">
            @Html.Raw(Model.Content)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.DateOfPublication)
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.DateOfPublication)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.PickUpDate)
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.PickUpDate)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.User)
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.User.NickName)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.AdCategory)
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.AdCategory.AdCategoryName)
        </dd>
        <dt class="col-sm-3">
            @Html.DisplayNameFor(model => model.QtyPhotos)
        </dt>
        <dd class="col-sm-9">
            @Html.DisplayFor(model => model.QtyPhotos)
        </dd>
    </dl>
    <hr />
</div>

<div>
    <div class="container">
        <div class="row">
            @foreach (var item in Model.AdPictures)
            {
                <div class="col-md-2">
                    <img style="width: 100%; height: 100%" src="@Url.Content(item.FilePath)" />
                </div>
            }
        </div>
    </div>
</div>
<hr/>
@if (Model.IsAuthor)
{
<div>
    <a asp-area="" asp-controller="Ads" asp-action="PickUpDate" asp-route-id="@Model.Id" class="btn btn-success">PickUpDate</a>
    <a asp-area="" asp-controller="Ads" asp-action="EditAd" asp-route-id="@Model.Id" class="btn btn-primary">Edit</a>
    <a asp-area="" asp-controller="Ads" asp-action="DeleteAd" asp-route-id="@Model.Id" class="btn btn-danger">Delete</a>
</div>
}

<hr />
<div>
    <a asp-controller="Ads" asp-action="Index">Back to List</a>
</div>